Skip to content

Get business wallet references/currencies

Request

Security
oauth2ClientCredentials(Required scopes: accounts:read)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  https://developer.boyahq.com/_mock/v2/openapi/accounts/business-currencies \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

List of business wallet references with their currencies

Bodyapplication/json
Array [
idnumberrequired

Unique identifier for the wallet reference

Example:1
currencystringrequired

Currency code (ISO 4217)

Example:"KES"
created_onstringrequired

ISO 8601 timestamp when the record was created

Example:"2021-07-02T14:15:16.000Z"
updated_onstringrequired

ISO 8601 timestamp when the record was last updated

Example:"2021-07-02T14:15:49.000Z"
created_bystring

ID of the user who created this record

Example:"kwvnakwoppmeuzmitjkkaqcuvqoajv"
]
Response
[ { "id": 1, "currency": "KES", "created_on": "2021-07-02T14:15:16.000Z", "updated_on": "2021-07-02T14:15:49.000Z", "created_by": "kwvnakwoppmeuzmitjkkaqcuvqoajv" } ]